Module | Ferret::BoostMixin
In: | lib/ferret/document.rb

Instead of using documents to add data to an index you can use Hashes and Arrays. The only real benefits of using a Document over a Hash are pretty printing and the boost attribute. You can add the boost attribute to Hashes and arrays using the BoostMixin. For example;

       class Hash
         include BoostMixin
       end

       class Array
         include BoostMixin
       end

       class String
         include BoostMixin
       end

### Attributes

boost | [RW] |

[Validate]